GCOV-DUMP(1) | GNU | GCOV-DUMP(1)

# NAME

gcov-dump - offline gcda and gcno profile dump tool

# SYNOPSIS

gcov-dump [-v|--version] [-h|--help] [-l|--long] [-p|--positions] [-w|--working-sets] gcovfiles

# DESCRIPTION

gcov-dump is a tool you can use in conjunction with GCC to dump content of gcda and gcno profile files offline.

# OPTIONS

-h
--help
  Display help about using gcov-dump (on the standard output), and exit without doing any further processing.
-l
--long
  Dump content of records.
-p
--positions
  Dump positions of records.
-v
--version
  Display the gcov-dump version number (on the standard output), and exit without doing any further processing.
-w
--working-sets
  Dump working set computed from summary.

# COPYRIGHT

Copyright (c) 2017 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being "GNU General Public License" and "Funding Free Software", the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the gfdl(7) man page.

(a) The FSF's Front-Cover Text is:

         A GNU Manual

(b) The FSF's Back-Cover Text is:

         You have freedom to copy and modify this GNU Manual, like GNU
         software.  Copies published by the Free Software Foundation raise
         funds for GNU development.

2019-11-14 | gcc-7.5.0